<?php
/**
 * This Software is the property of Data Development and is protected
 * by copyright law - it is NOT Freeware.
 * Any unauthorized use of this software without a valid license
 * is a violation of the license agreement and will be prosecuted by
 * civil and criminal law.
 * http://www.shopmodule.com
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @author        D3 Data Development - Daniel Seifert <support@shopmodule.com>
 * @link          http://www.oxidmodule.com
 */

/**
 * Returns shop base path.
 *
 * @return string
 */
function getShopBasePath()
{
    return dirname(__FILE__) . '/../../../../';
}

/**
 * @return string
 */
function getGeneratorInstanceName()
{
    return "d3_oxdynimggenerator_watermark";
}

// checks if image utils file loader does not exist
if (!function_exists("includeImageUtils")) {
    /**
     * Includes image utils
     *
     * @return null
     */
    function includeImageUtils()
    {
        $sPath = oxRegistry::getConfig()->getModulesDir() . "d3/d3watermark/core/utils/d3_oxpicgenerator_watermark.php";
        include_once $sPath;
    }
}

include_once getShopBasePath() . "core/oxdynimggenerator.php";

/**
 * Class d3_oxdynimggenerator_watermark
 */
class d3_oxdynimggenerator_watermark extends oxdynimggenerator
{
}